Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.expressions
Interface IEvaluationContext

All Known Implementing Classes:
  EvaluationContext

public interface IEvaluationContext

An evaluation context is used to manage a set of objects needed during XML expression evaluation. A context has a parent context, can manage a set of named variables and has a default variable. The default variable is used during XML expression evaluation if no explicit variable is referenced.

This interface is not intended to be implemented by clients. Clients are allowed to instantiate `EvaluationContext`.

Since:
  3.0

Method Summary
`void` | `addVariable(String name, Object value)` Adds a new named variable to this context.
`Object` | `getDefaultVariable()` Returns the default variable.
`IEvaluationContext` | `getParent()` Returns the parent context or `null` if this is the root of the evaluation context hierarchy.
`IEvaluationContext` | `getRoot()` Returns the root evaluation context.
`Object` | `getVariable(String name)` Returns the variable managed under the given name.
`Object` | `removeVariable(String name)` Removes the variable managed under the given name from this evaluation context.
`Object` | `resolveVariable(String name, Object[] args)` Resolves a variable for the given name and arguments.

Method Detail

### getParent

    public IEvaluationContext getParent()

  Returns the parent context or `null` if this is the root of the evaluation context hierarchy.

  Returns:
    the parent evaluation context or `null`

### getRoot

    public IEvaluationContext getRoot()

  Returns the root evaluation context.

  Returns:
    the root evaluation context

### getDefaultVariable

    public Object getDefaultVariable()

  Returns the default variable.

  Returns:
    the default variable or `null` if no default variable is managed.

### addVariable

    public void addVariable(String name,
                            Object value)

  Adds a new named variable to this context. If a variable with the name already exists the new one overrides the existing one.

  Parameters:
    `name` - the variable's name
    `value` - the variable's value

### removeVariable

    public Object removeVariable(String name)

  Removes the variable managed under the given name from this evaluation context.

  Parameters:
    `name` - the variable's name
  Returns:
    the currently stored value or `null` if the variable doesn't exist

### getVariable

    public Object getVariable(String name)

  Returns the variable managed under the given name.

  Parameters:
    `name` - the variable's name
  Returns:
    the variable's value or `null` if the content doesn't manage a variable with the given name

### resolveVariable

    public Object resolveVariable(String name,
                                  Object[] args)
                           throws CoreException

  Resolves a variable for the given name and arguments. This method can be used to dynamically resolve variable such as plug-in descriptors, resources, etc. The method is used by the `resolve` expression.

  Parameters:
    `name` - the variable to resolve
    `args` - an object array of arguments used to resolve the variable
  Returns:
    the variable's value or `null` if no variable can be resolved for the given name and arguments
  Throws:
    `CoreException` - if an errors occurs while resolving the variable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.